Subject: [Detnet] Comments on detnet-yang-15 Re: [Last-Call] Yangdoctors last call review of draft-ietf-detnet-yang-14

From: tom petch <[email-masked]>
Date: Thu, 23 Dec 2021 11:40:21 +0000

Borrowing a useful cc: with a related topic

two documents in the YANG module need adding to the I-D References
RFC8938
IEEE 802.1Qcx-2020

contact URL
insecure, obsolete - https://datatracker ...

Editor: Mach Chen
not in the authors of the I-D

TLP out of date

Reference: this ID when published
Reference: "RFC XXXX: Deterministic Networking (DetNet) YANG Model

Tom Petch

On 09/11/2021 20:06, Xufeng Liu via Datatracker wrote:
> Reviewer: Xufeng Liu
> Review result: Ready with Nits
>
> Thanks to authors for addressing the previous review comments.
>
> The updates look good. The followings are a few additional nits:
>
> 1) In the model, “container flow-spec” has been changed to “container
> traffic-spec”, but the description has not been updated, shown as below:
>
>           container traffic-spec {
>             description
>               "Flow-specification specifies how the Source transmits
>                packets for the flow.  This is the promise/request of the
>                Source to the network.  The network uses this flow
>                specification to allocate resources and adjust queue
>                parameters in network nodes.";
>
> 2) Most names of list and leaf-list have been fixes. The following three were
> missed: “leaf-list member-apps” should be “leaf-list member-app” “leaf-list
> member-services” should be “leaf-list member-service” “leaf-list
> member-fwd-sublayers” should be “leaf-list member-fwd-sublayer”
>
> 3) Section 10.  Security Considerations would need to include a list of
> “sensitive or vulnerable” nodes.  RFC 8349 shows an example.
>
> Thanks,
> - Xufeng

---

From: tom petch <[email-masked]>
Date: Tue, 28 Dec 2021 11:08:31 +0000

On 23/12/2021 11:40, tom petch wrote:
Also

"IP six tuple"
perhaps 'sextuple' That said, I do not know what the six are and cannot 
find a reference to six in either RFC8939 or RFC8964

"   Outgoing is viewed as going up the stack from"
Looking at fig 1 I would have assumed the opposite, going down the 
stack; perhaps IETF versus IEEE.

" enum copy-from-app-flow {
     description
       "This type means copy the app-flow sequence number to the "
Mmm it looks like an enum to me and not a type

"  enum generate-by-detnet-flow {
      description
         "This type means generate the sequence number by the "
Ditto

"     grouping detnet-flow-spec {
        choice detnet-flow-type {
          case ip-detnet-flow {
          case mpls-detnet-flow { "
elsewhere the case are 'ip' and 'mpls'; is this different?

      "RFC 9016 Section 5.5, IEEE802.1Q";
I would find this clearer with the two references on two separate lines

"       F-label for DetNet service or service-to-forwarding "
Perhaps a reference to "RFC 8964 Section 4.2.3";

Tom Petch

---

From: John Grant <[email-masked]>
Date: Wed, 29 Dec 2021 18:55:25 +0000

On 28/12/2021 11:08, tom petch wrote:
>
> "IP six tuple"
> perhaps 'sextuple' That said, I do not know what the six are and 
> cannot find a reference to six in either RFC8939 or RFC8964
I think it's the usual 5 (addresses, protocol, port numbers) plus the 
ToS/DSCP/Traffic class field.

-- 
John Grant
Nine Tiles, Cambridge, England
+44 1223 862599 and +44 1223 511455
http://www.ninetiles.com

-- 
This email has been checked for viruses by AVG.
https://www.avg.com